Bug 103185 - Integration with kio::njb for nomad devices
Summary: Integration with kio::njb for nomad devices
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Applications
Component: Collections/Media Devices (show other bugs)
Version: 1.2.3
Platform: Gentoo Packages Linux
: NOR wishlist with 80 votes (vote)
Target Milestone: ---
Assignee: Amarok Developers
URL:
Keywords:
: 116788 (view as bug list)
Depends on:
Blocks:
 
Reported: 2005-04-04 09:40 UTC by Benjamin Fritzsche
Modified: 2006-07-28 02:32 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
NjbMediaDevice : Class to manipulate NJB devices (23.93 KB, application/x-tbz)
2006-05-12 17:47 UTC, Andres Oton
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Benjamin Fritzsche 2005-04-04 09:40:31 UTC
Version:           1.2.3 (using KDE KDE 3.4.0)
Installed from:    Gentoo Packages

Would be cool to have integration in the mediadevice browser for Creative Nomad jukeboxes.

could probably be done using libnjb (http://sf.net/projects/libnjb) and the njb kio slave (http://sf.net/projects/kionjb).

Both libnjb and kionjb work here, but integration with amarok would be nice and should be doable, although i´m not a programmer.

Thanks for your spare time !!
Comment 1 Seb Ruiz 2005-11-20 23:15:40 UTC
*** Bug 116788 has been marked as a duplicate of this bug. ***
Comment 2 Arne 2006-01-08 00:42:38 UTC
*** This bug has been confirmed by popular vote. ***
Comment 3 Evan Long 2006-01-20 05:36:15 UTC
I agree, you might even want to take a look at gnomad2's source code, it may help.

I hope you guys can do it, that would be cool. thanks.
Comment 4 Steve King 2006-03-26 17:50:48 UTC
There is a new library, libmtp, being developed to support MTP devices. These include the more-recently-purchased Creative Zen MP3 players. Older Zens can be upgraded to work with MTP. (I would not recommend that just now as the firmware patch is irreversible! I'm leaving my Zen Touch well alone until libmtp is closer to completion!) Although libmtp is in relatively early stages of development, perhaps amarok could look to support it - the benefit would be much wider than just Creative MP3 players.

Reference: http://libmtp.sourceforge.net
Comment 5 Andres Oton 2006-05-11 22:56:57 UTC
I have developed a new MediaDevice class to this lib.

My code is based/inspired by kionjb but it not use it.

I post a .tar.bz2 a few days, perhaps tomorrow. The current status is:

- Support to upload, download, delete tracks at device
- Show de tracks of the device (order by artist/album)

Regards.
Comment 6 Andres Oton 2006-05-12 17:47:42 UTC
Created attachment 16044 [details]
NjbMediaDevice : Class to manipulate NJB devices

Hello,

To compile it, decompress under mediadevice dir at source amarok dir. Modify
the Makefile.am of mediadevice dir to compile the new directory too.

You need have installed the libnjb-devel package.

Test it.

Regards.
Comment 7 Martin Aumueller 2006-05-15 02:37:33 UTC
SVN commit 540903 by aumuell:

add source code for libnjb based media device support as posted by Andres Oton <andres.oton@gmail.com>
CCBUG: 103185


 A             njb (directory)  
 A             njb/Makefile.am  
 A             njb/amarok_njb-mediadevice.desktop  
 A             njb/njb.cpp   [License: UNKNOWN]
 A             njb/njbmediadevice.cpp   [License: UNKNOWN] [UTF-8 ENCODING PROBLEMS]
 A             njb/njbmediadevice.h   [License: UNKNOWN]
 A             njb/playlist.cpp   [License: GPL (v2+)]
 A             njb/playlist.h   [License: GPL (v2+)]
 A             njb/track.cpp   [License: GPL (v2+)]
 A             njb/track.h   [License: GPL (v2+)]
Comment 8 Martin Aumueller 2006-05-15 03:08:26 UTC
SVN commit 540904 by aumuell:

- check for libnjb and if available build nomad jukebox plugin
Nomad Jukebox owners, please test!
CCBUG: 103185


 M  +2 -0      ChangeLog  
 M  +8 -0      configure.in.bot  
 M  +30 -0     configure.in.in  
 M  +5 -2      src/mediadevice/Makefile.am  
 M  +1413 -1413 src/mediadevice/njb/njb.cpp  
 M  +688 -688  src/mediadevice/njb/njbmediadevice.cpp   [UTF-8 ENCODING PROBLEMS]
 M  +126 -126  src/mediadevice/njb/njbmediadevice.h  
 M  +166 -167  src/mediadevice/njb/playlist.cpp  
 M  +23 -23    src/mediadevice/njb/playlist.h  
 M  +232 -232  src/mediadevice/njb/track.cpp  
 M  +49 -49    src/mediadevice/njb/track.h  
Comment 9 Jeff Mitchell 2006-05-15 16:54:33 UTC
Can anyone comment as to whether or not this code also works for MTP devices?
Comment 10 Seb Ruiz 2006-05-16 14:28:53 UTC
This is clearly closed now!

Jeff - most unlikely it works with MTP.
Comment 11 Bill King 2006-07-28 02:32:14 UTC
MTP needs <a href="http://libmtp.sourceforge.net/">libmtp</a>. libnjb explicitly states that they don't support mtp devices.